Page MenuHomePhabricator

Activation of the visual editor and Growth features by default on Uzbek Wikipedia
Closed, ResolvedPublicMon, Nov 22

Description

This wiki is missing in our list. We skipped it during round 4 (T289680) and never came back to it.

  1. Check with the Editing team if any blocker exists for uz.wp
  2. Inform the community here.
  3. Deploy (Monday, Nov 15)
    1. Proceed on the activation of the visual editor by default
    2. Deploy Growth features in Dark mode
  4. Deploy Growth features to all newcomers (Monday, Nov 22)

Event Timeline

Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptOct 25 2021, 1:50 PM
Trizek-WMF renamed this task from Activation of the visual editor by default on Uzbek Wikipedia to Activation of the visual editor and Growth features by default on Uzbek Wikipedia.Oct 26 2021, 2:01 PM
Trizek-WMF added a project: VisualEditor.

@Urbanecm_WMF, we are good to go on the community side, regarding the activation of the visual editor by default. When can it be done?

@Urbanecm_WMF, we are good to go on the community side, regarding the activation of the visual editor by default. When can it be done?

Pretty much any time (except the ordinary no-deployments days, ie. Friday/Saturday/Sunday).

Trizek-WMF updated the task description. (Show Details)

Let's have VE and Growth features (the latter in dark mode) deployed next Monday (the 15th) and schedule Monday 22th as the deployment to all newcomers (we will see how it works).

Change 738296 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] uzwiki: Enable VisualEditor by default

https://gerrit.wikimedia.org/r/738296

Change 738297 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] uzwiki: Enable Growth features in dark mode

https://gerrit.wikimedia.org/r/738297

Change 738296 merged by jenkins-bot:

[operations/mediawiki-config@master] uzwiki: Enable VisualEditor by default

https://gerrit.wikimedia.org/r/738296

Mentioned in SAL (#wikimedia-operations) [2021-11-15T12:02:54Z] <urbanecm@deploy1002> Synchronized dblists/visualeditor-nondefault.dblist: 6b3bacd986ab041a5e3aee06c6de04e344dd8015: uzwiki: Enable VisualEditor by default (T294245) (duration: 00m 56s)

@Urbanecm_WMF, let me know when Growth feature will be available. I'm ready to announce them.

Mentioned in SAL (#wikimedia-operations) [2021-11-15T15:18:42Z] <urbanecm> uzwiki: Create growthexperiments tables (T294245)

Change 738297 merged by jenkins-bot:

[operations/mediawiki-config@master] uzwiki: Enable Growth features in dark mode

https://gerrit.wikimedia.org/r/738297

Mentioned in SAL (#wikimedia-operations) [2021-11-15T15:26:25Z] <urbanecm> mwscript extensions/GrowthExperiments/maintenance/initWikiConfig.php --wiki=uzwiki --phab=T294245 # T294245

Mentioned in SAL (#wikimedia-operations) [2021-11-15T15:26:28Z] <urbanecm@deploy1002> Synchronized dblists/growthexperiments.dblist: 734f3b0094799007e38dea1d152f0afeb3134e1b: uzwiki: Enable Growth features in dark mode (T294245; 1/3) (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2021-11-15T15:28:18Z] <urbanecm@deploy1002> Synchronized wmf-config/config/uzwiki.yaml: 734f3b0094799007e38dea1d152f0afeb3134e1b: uzwiki: Enable Growth features in dark mode (T294245; 2/3) (duration: 00m 55s)

@Urbanecm_WMF, let me know when Growth feature will be available. I'm ready to announce them.

Deployment is in progress, should be deployed within like 2 minutes from now :).

Mentioned in SAL (#wikimedia-operations) [2021-11-15T15:29:13Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 734f3b0094799007e38dea1d152f0afeb3134e1b: uzwiki: Enable Growth features in dark mode (T294245; 3/3) (duration: 00m 55s)

The community has been informed.

Trizek-WMF set Due Date to Mon, Nov 22, 5:00 PM.

@Urbanecm_WMF, has the configuration been changed so that newcomers get Growth features when they sign-up?

@Urbanecm_WMF, has the configuration been changed so that newcomers get Growth features when they sign-up?

How did I miss the deadline! Sorry, I'll do it ASAP.

Change 742504 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] uzwiki: Deploy Growth features to newcomers

https://gerrit.wikimedia.org/r/742504

@Urbanecm_WMF, are we done? If so, please resolve the task. :)

Change 742504 merged by jenkins-bot:

[operations/mediawiki-config@master] uzwiki: Deploy Growth features to newcomers

https://gerrit.wikimedia.org/r/742504

Mentioned in SAL (#wikimedia-operations) [2021-11-30T20:09:53Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 5443b78f197b782238632966891d721859733a74: uzwiki: Deploy Growth features to newcomers (T294245) (duration: 00m 57s)

@Urbanecm_WMF, are we done? If so, please resolve the task. :)

Just finished it! Closing.